CVE-2004-1545
CVSS5.0
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:56:11
NMCO    

[原文]UploadFile.php in MoniWiki 1.0.9.2 and earlier, when used with Apache mod_mime, does not properly handle files with two file extensions, such as .php.hwp, which allows remote attackers to upload and execute arbitrary code.


[CNNVD]MoniWiki远程任意命令执行漏洞(CNNVD-200412-689)

        
        MoniWiki是一款韩文的WIKI WEB应用程序。
        MoniWiki不正确过滤用户提交的输入,远程攻击者可以利用这个漏洞以WEB进程执行任意命令。
        "UploadFile.php"不正确检查上传文件扩展名,攻击者可以提交任意脚本文件(php、pl、cgi等)到WEB服务器,并通过mod_php模块以WEB进程权限执行。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:moniwiki:moniwiki:1.0.9.1
cpe:/a:moniwiki:moniwiki:1.0.8
cpe:/a:moniwiki:moniwiki:1.0.9

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1545
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1545
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-689
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/fulldisclosure/2004-12/0448.html
(VENDOR_ADVISORY)  FULLDISC  20041215 STG Security Advisory: [SSA-20041215-15] Vulnerability of uploading files with multiple extensions in MoniWiki
http://kldp.net/scm/cvsweb.php/moniwiki/plugin/UploadFile.php.diff?cvsroot=moniwiki&only_with_tag=HEAD&r1=text&tr1=1.17&r2=text&tr2=1.16&f=h
(UNKNOWN)  CONFIRM  http://kldp.net/scm/cvsweb.php/moniwiki/plugin/UploadFile.php.diff?cvsroot=moniwiki&only_with_tag=HEAD&r1=text&tr1=1.17&r2=text&tr2=1.16&f=h
http://marc.info/?l=bugtraq&m=110314544711884&w=2
(UNKNOWN)  BUGTRAQ  20041215 STG Security Advisory: [SSA-20041215-15] Vulnerability of uploading files with multiple extensions in MoniWiki
http://www.securityfocus.com/bid/11951
(PATCH)  BID  11951
http://xforce.iss.net/xforce/xfdb/18493
(PATCH)  XF  moniwiki-file-upload(18493)

- 漏洞信息

MoniWiki远程任意命令执行漏洞
中危 设计错误
2004-12-31 00:00:00 2005-10-20 00:00:00
本地  
        
        MoniWiki是一款韩文的WIKI WEB应用程序。
        MoniWiki不正确过滤用户提交的输入,远程攻击者可以利用这个漏洞以WEB进程执行任意命令。
        "UploadFile.php"不正确检查上传文件扩展名,攻击者可以提交任意脚本文件(php、pl、cgi等)到WEB服务器,并通过mod_php模块以WEB进程权限执行。
        

- 公告与补丁

        厂商补丁:
        KLDP.net
        --------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://kldp.net/

- 漏洞信息

12398
MoniWiki UploadFile.php Multiple File Extension Upload Arbitrary Code Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

MonoWiki contains a flaw that may allow a malicious user to upload script and/or execute arbitrary code. The issue is triggered when a malicious user attempts to upload a file with multiple file extensions. It is possible that the flaw may allow an intruder to upload files and/or execute code inside the web root resulting in a loss of integrity.

- 时间线

2004-12-15 2004-12-08
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Dongsu Jang has released a patch to address this vulnerability. Disabling mod_mime will prevent the execution of arbitrary code.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站